Skip to content
Baremetrics

Show Customers

GET https://api.baremetrics.com/v1/metrics/{metric}/customers

Returns a list of customers that make up this metric. For example, the upgrades metric will return all customers who have upgraded within the selected range. You can also see their MRR contribution.

Path parameters

  • metric string required

    You can see a list of available metrics here

    Default ""

Query parameters

  • start_date string · date required
  • end_date string · date required

Responses

200OK
{
  "metrics": [
    {
      "date": 1475107200,
      "human_date": "2016-09-29",
      "value": 2,
      "customers": [
        {
          "mrr": 5000,
          "customer": {
            "oid": "customer_1",
            "source_id": "source_1",
            "source": "stripe",
            "created": 1492605754,
            "email": "customer_1@baremetrics.com",
            "name": "Customer 1",
            "display_image": "https://logo.clearbit.com/baremetrics.com",
            "display_name": "Customer 1",
            "notes": "Here are some notes",
            "ltv": 50000
          },
          "current_plan": {
            "oid": "mrr_50_mo",
            "source_id": "stripe_1",
            "source": "stripe",
            "name": "Startup $50 - MRR - Monthly",
            "interval": "month",
            "interval_count": 1,
            "trial_duration": null,
            "trial_duration_unit": null,
            "created": 1450216295,
            "active": true,
            "setup_fees": 0,
            "amounts": [
              {
                "currency": "USD",
                "symbol": "$",
                "symbol_right": false,
                "amount": 5000
              }
            ]
          },
          "previous_plan": {
            "oid": "free",
            "source_id": "stripe_1",
            "source": "stripe",
            "name": "Free",
            "interval": "month",
            "interval_count": 1,
            "trial_duration": 14,
            "trial_duration_unit": "day",
            "created": 1438620623,
            "active": true,
            "setup_fees": 0,
            "amounts": [
              {
                "currency": "USD",
                "symbol": "$",
                "symbol_right": false,
                "amount": 0
              }
            ]
          }
        }
      ]
    }
  ]
}
400Bad Request
{}